Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.notification
Class AsynchNotificationBroadcasterSupport

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.mx.notification.AsynchNotificationBroadcasterSupport

All Implemented Interfaces:
  NotificationBroadcaster, NotificationEmitter

public class AsynchNotificationBroadcasterSupport
extends JBossNotificationBroadcasterSupport

A notification broadcaster with asynch notifications

Version:
  $Revision: 1.4.6.2 $
Author:
  Adrian Brock., Scott.Stark@jboss.org

Nested Class Summary
`class` | `AsynchNotificationBroadcasterSupport.AsynchNotifier`

Constructor Summary
`AsynchNotificationBroadcasterSupport()` Construct a new Asyncrhonous broadcaster Calls this(defaultNotificationTimeout, defaultPool)
`AsynchNotificationBroadcasterSupport(long notificationTimeout)` Construct a new Asyncrhonous broadcaster.
`AsynchNotificationBroadcasterSupport(long notificationTimeout, org.jboss.util.threadpool.ThreadPool pool)` Construct a new Asyncrhonous broadcaster

Method Summary
`static long` | `getDefaultNotificationTimeout()`
`long` | `getNotificationTimeout()`
`org.jboss.util.threadpool.ThreadPool` | `getThreadPool()`
`void` | `handleNotification(NotificationListener listener, Notification notification, Object handback)` Handle the notification, asynchronously invoke the listener.
`static void` | `setDefaultNotificationTimeout(long defaultNotificationTimeout)`
`static void` | `setDefaultThreadPool(org.jboss.util.threadpool.ThreadPool tp)`
`void` | `setNotificationTimeout(long notificationTimeout)`
`void` | `setThreadPool(org.jboss.util.threadpool.ThreadPool pool)`
`protected void` | `stopThreadPool(boolean immeadiate)` Invoke stop on the thread pool if its not the class default pool.

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsynchNotificationBroadcasterSupport

    public AsynchNotificationBroadcasterSupport()

  Construct a new Asyncrhonous broadcaster Calls this(defaultNotificationTimeout, defaultPool)

### AsynchNotificationBroadcasterSupport

    public AsynchNotificationBroadcasterSupport(long notificationTimeout)

  Construct a new Asyncrhonous broadcaster. Calls this(notificationTimeout, defaultPool)

Parameters:
  `notificationTimeout` - the notification completion timeout in MS. A 0 value means no timeout.

### AsynchNotificationBroadcasterSupport

    public AsynchNotificationBroadcasterSupport(long notificationTimeout,
                                                org.jboss.util.threadpool.ThreadPool pool)

  Construct a new Asyncrhonous broadcaster

Parameters:
  `notificationTimeout` - - the notification completion timeout in MS. A 0 value means no timeout.
  `pool` - - the thread pool to use for the asynchronous notifcations

Method Detail

### setDefaultThreadPool

    public static void setDefaultThreadPool(org.jboss.util.threadpool.ThreadPool tp)

### getDefaultNotificationTimeout

    public static long getDefaultNotificationTimeout()

### setDefaultNotificationTimeout

    public static void setDefaultNotificationTimeout(long defaultNotificationTimeout)

### getNotificationTimeout

    public long getNotificationTimeout()

### setNotificationTimeout

    public void setNotificationTimeout(long notificationTimeout)

### getThreadPool

    public org.jboss.util.threadpool.ThreadPool getThreadPool()

### setThreadPool

    public void setThreadPool(org.jboss.util.threadpool.ThreadPool pool)

### handleNotification

    public void handleNotification(NotificationListener listener,
                                   Notification notification,
                                   Object handback)

  Handle the notification, asynchronously invoke the listener.

  Overrides:
    `handleNotification` in class `JBossNotificationBroadcasterSupport`
  Parameters:
    `listener` - the listener to notify
    `notification` - the notification
    `handback` - the handback object

### stopThreadPool

    protected void stopThreadPool(boolean immeadiate)

  Invoke stop on the thread pool if its not the class default pool.

  Parameters:
    `immeadiate` - the immeadiate flag passed to the TheadPool#stop

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.